/***************************************************************************
                          deletedialog.cpp  -  description                              
                             -------------------                                         
    begin                : Fri Aug 6 1999                                           
    copyright            : (C) 1999 by Henrik Stormer                         
    email                : stormer@ifi.unizh.ch                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "deletedialog.h"

DeleteDialog::DeleteDialog(QWidget *parent, const char *name) : ModalDialog(NULL,name), _Percentage(0)
{
	initDialog();
  _Progress->setBarStyle(KProgress::Blocked);
}

DeleteDialog::~DeleteDialog()
{
}

void DeleteDialog::set(double countFiles, double sizeAll)
{
  _countFiles = countFiles; _size = sizeAll;
}
void DeleteDialog::newFile(QString FileName)
{
 setDeleting(FileName);
}

void DeleteDialog::addSize(double Size)
{
  double newPercentage = (Size + _count)*100 / _size;
  if (newPercentage != _Percentage)
  {
     _Percentage = newPercentage;
     setProgressTotal(newPercentage);
  }
 _count += Size;
}
