/***************************************************************************
                          splashscreen.h  -  description                              
                             -------------------                                         
    begin                : Sat Oct 30 1999                                           
    copyright            : (C) 1999 by Henrik Stormer                         
    email                : stormer@ifi.unizh.ch                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef SPLASHSCREEN_H
#define SPLASHSCREEN_H

#include <qwidget.h>

/**
  *@author Henrik Stormer
  */

class SplashScreen : public QWidget
{
  Q_OBJECT
public:
	SplashScreen(QWidget *parent, const char *name, QString Pic, QString Message);
	~SplashScreen();
  virtual void paintEvent( QPaintEvent * );
  void timeout();
 private:
  QString _Message;
  int _width, _height;
};

#endif


